<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpColorSelection: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-widgets.html" title="Part I. GIMP Widgets">
<link rel="prev" href="GimpColorScale.html" title="GimpColorScale">
<link rel="next" href="GimpColorProfileChooserDialog.html" title="GimpColorProfileChooserDialog">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpColorSelection.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpColorSelection.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpColorSelection.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_properties">  <span class="dim">|</span> 
                  <a href="#GimpColorSelection.properties" class="shortcut">Properties</a></span><span id="nav_signals">  <span class="dim">|</span> 
                  <a href="#GimpColorSelection.signals" class="shortcut">Signals</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-widgets.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpColorScale.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpColorProfileChooserDialog.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpColorSelection"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpColorSelection.top_of_page"></a>GimpColorSelection</span></h2>
<p>GimpColorSelection — Widget for doing a color selection.</p>
</td>
<td class="gallery_image" valign="top" align="right"><img src="gimp-widget-color-selection.png"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpColorSelection.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpColorSelection.html#gimp-color-selection-new" title="gimp_color_selection_new ()">gimp_color_selection_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpColorSelection.html#gimp-color-selection-set-show-alpha" title="gimp_color_selection_set_show_alpha ()">gimp_color_selection_set_show_alpha</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="GimpColorSelection.html#gimp-color-selection-get-show-alpha" title="gimp_color_selection_get_show_alpha ()">gimp_color_selection_get_show_alpha</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpColorSelection.html#gimp-color-selection-set-color" title="gimp_color_selection_set_color ()">gimp_color_selection_set_color</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpColorSelection.html#gimp-color-selection-get-color" title="gimp_color_selection_get_color ()">gimp_color_selection_get_color</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpColorSelection.html#gimp-color-selection-set-old-color" title="gimp_color_selection_set_old_color ()">gimp_color_selection_set_old_color</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpColorSelection.html#gimp-color-selection-get-old-color" title="gimp_color_selection_get_old_color ()">gimp_color_selection_get_old_color</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpColorSelection.html#gimp-color-selection-reset" title="gimp_color_selection_reset ()">gimp_color_selection_reset</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpColorSelection.html#gimp-color-selection-color-changed" title="gimp_color_selection_color_changed ()">gimp_color_selection_color_changed</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpColorSelection.html#gimp-color-selection-set-config" title="gimp_color_selection_set_config ()">gimp_color_selection_set_config</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpColorSelection.properties"></a><h2>Properties</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody><tr>
<td class="property_type">
<span class="type">GimpColorConfig</span> *</td>
<td class="property_name"><a class="link" href="GimpColorSelection.html#GimpColorSelection--config" title="The “config” property">config</a></td>
<td class="property_flags">Write</td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpColorSelection.signals"></a><h2>Signals</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="signals_return">
<col width="300px" class="signals_name">
<col width="200px" class="signals_flags">
</colgroup>
<tbody><tr>
<td class="signal_type"><span class="returnvalue">void</span></td>
<td class="signal_name"><a class="link" href="GimpColorSelection.html#GimpColorSelection-color-changed" title="The “color-changed” signal">color-changed</a></td>
<td class="signal_flags"><a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpColorSelection.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpColorSelection.html#GimpColorSelection-struct" title="GimpColorSelection">GimpColorSelection</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpColorSelection.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkContainer.html#GtkContainer-struct">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkBox.html#GtkBox-struct">GtkBox</a>
                        <span class="lineart">╰──</span> GimpColorSelection
</pre>
</div>
<div class="refsect1">
<a name="GimpColorSelection.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpColorSelection implements
 AtkImplementor,  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a> and  <a href="../gtk2/gtk2-Orientable.html#GtkOrientable-struct">GtkOrientable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpColorSelection.description"></a><h2>Description</h2>
<p>Widget for doing a color selection.</p>
</div>
<div class="refsect1">
<a name="GimpColorSelection.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-color-selection-new"></a><h3>gimp_color_selection_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_color_selection_new (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
<p>Creates a new <a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a> widget.</p>
<div class="refsect3">
<a name="gimp-color-selection-new.returns"></a><h4>Returns</h4>
<p> The new <a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a> widget.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-selection-set-show-alpha"></a><h3>gimp_color_selection_set_show_alpha ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_color_selection_set_show_alpha (<em class="parameter"><code><a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a> *selection</code></em>,
                                     <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> show_alpha</code></em>);</pre>
<p>Sets the <em class="parameter"><code>show_alpha</code></em>
 property of the <em class="parameter"><code>selection</code></em>
 widget.</p>
<div class="refsect3">
<a name="gimp-color-selection-set-show-alpha.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>selection</p></td>
<td class="parameter_description"><p>A <a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a> widget.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>show_alpha</p></td>
<td class="parameter_description"><p>The new <em class="parameter"><code>show_alpha</code></em>
setting.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-selection-get-show-alpha"></a><h3>gimp_color_selection_get_show_alpha ()</h3>
<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
gimp_color_selection_get_show_alpha (<em class="parameter"><code><a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a> *selection</code></em>);</pre>
<p>Returns the <em class="parameter"><code>selection</code></em>
's <em class="parameter"><code>show_alpha</code></em>
 property.</p>
<div class="refsect3">
<a name="gimp-color-selection-get-show-alpha.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>selection</p></td>
<td class="parameter_description"><p>A <a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a> widget.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-color-selection-get-show-alpha.returns"></a><h4>Returns</h4>
<p> <a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><span class="type">TRUE</span></a> if the <a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a> has alpha controls.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-selection-set-color"></a><h3>gimp_color_selection_set_color ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_color_selection_set_color (<em class="parameter"><code><a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a> *selection</code></em>,
                                <em class="parameter"><code>const <a href="../html/libgimpcolor-GimpRGB.html#GimpRGB"><span class="type">GimpRGB</span></a> *color</code></em>);</pre>
<p>Sets the <a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a>'s current color to the new <em class="parameter"><code>color</code></em>
.</p>
<div class="refsect3">
<a name="gimp-color-selection-set-color.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>selection</p></td>
<td class="parameter_description"><p>A <a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a> widget.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>color</p></td>
<td class="parameter_description"><p>The <em class="parameter"><code>color</code></em>
to set as current color.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-selection-get-color"></a><h3>gimp_color_selection_get_color ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_color_selection_get_color (<em class="parameter"><code><a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a> *selection</code></em>,
                                <em class="parameter"><code><a href="../html/libgimpcolor-GimpRGB.html#GimpRGB"><span class="type">GimpRGB</span></a> *color</code></em>);</pre>
<p>This function returns the <a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a>'s current color.</p>
<div class="refsect3">
<a name="gimp-color-selection-get-color.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>selection</p></td>
<td class="parameter_description"><p>A <a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a> widget.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>color</p></td>
<td class="parameter_description"><p>Return location for the <em class="parameter"><code>selection</code></em>
's current <em class="parameter"><code>color</code></em>
.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-selection-set-old-color"></a><h3>gimp_color_selection_set_old_color ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_color_selection_set_old_color (<em class="parameter"><code><a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a> *selection</code></em>,
                                    <em class="parameter"><code>const <a href="../html/libgimpcolor-GimpRGB.html#GimpRGB"><span class="type">GimpRGB</span></a> *color</code></em>);</pre>
<p>Sets the <a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a>'s old color.</p>
<div class="refsect3">
<a name="gimp-color-selection-set-old-color.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>selection</p></td>
<td class="parameter_description"><p>A <a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a> widget.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>color</p></td>
<td class="parameter_description"><p>The <em class="parameter"><code>color</code></em>
to set as old color.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-selection-get-old-color"></a><h3>gimp_color_selection_get_old_color ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_color_selection_get_old_color (<em class="parameter"><code><a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a> *selection</code></em>,
                                    <em class="parameter"><code><a href="../html/libgimpcolor-GimpRGB.html#GimpRGB"><span class="type">GimpRGB</span></a> *color</code></em>);</pre>
<p>This function returns the <a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a>'s old color.</p>
<div class="refsect3">
<a name="gimp-color-selection-get-old-color.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>selection</p></td>
<td class="parameter_description"><p>A <a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a> widget.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>color</p></td>
<td class="parameter_description"><p>Return location for the <em class="parameter"><code>selection</code></em>
's old <em class="parameter"><code>color</code></em>
.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-selection-reset"></a><h3>gimp_color_selection_reset ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_color_selection_reset (<em class="parameter"><code><a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a> *selection</code></em>);</pre>
<p>Sets the <a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a>'s current color to its old color.</p>
<div class="refsect3">
<a name="gimp-color-selection-reset.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>selection</p></td>
<td class="parameter_description"><p>A <a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a> widget.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-selection-color-changed"></a><h3>gimp_color_selection_color_changed ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_color_selection_color_changed (<em class="parameter"><code><a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a> *selection</code></em>);</pre>
<p>Emits the "color-changed" signal.</p>
<div class="refsect3">
<a name="gimp-color-selection-color-changed.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>selection</p></td>
<td class="parameter_description"><p>A <a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a> widget.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-selection-set-config"></a><h3>gimp_color_selection_set_config ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_color_selection_set_config (<em class="parameter"><code><a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a> *selection</code></em>,
                                 <em class="parameter"><code><span class="type">GimpColorConfig</span> *config</code></em>);</pre>
<p>Sets the color management configuration to use with this color selection.</p>
<div class="refsect3">
<a name="gimp-color-selection-set-config.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>selection</p></td>
<td class="parameter_description"><p>A <a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a> widget.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>config</p></td>
<td class="parameter_description"><p>A <span class="type">GimpColorConfig</span> object.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpColorSelection.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpColorSelection-struct"></a><h3>GimpColorSelection</h3>
<pre class="programlisting">typedef struct _GimpColorSelection GimpColorSelection;</pre>
</div>
</div>
<div class="refsect1">
<a name="GimpColorSelection.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="GimpColorSelection--config"></a><h3>The <code class="literal">“config”</code> property</h3>
<pre class="programlisting">  “config”                   <span class="type">GimpColorConfig</span> *</pre>
<p>The color config used by this color selection.</p>
<p>Flags: Write</p>
</div>
</div>
<div class="refsect1">
<a name="GimpColorSelection.signal-details"></a><h2>Signal Details</h2>
<div class="refsect2">
<a name="GimpColorSelection-color-changed"></a><h3>The <code class="literal">“color-changed”</code> signal</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
user_function (<a class="link" href="GimpColorSelection.html" title="GimpColorSelection"><span class="type">GimpColorSelection</span></a> *gimpcolorselection,
               <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>            user_data)</pre>
<p>Flags: <a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></p>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>